Subject: [tcpm] WG survey

From: "Tom Petch" <[email-masked]>
Date: Sat, 20 Mar 2010 21:26:27 +0100

From: "Laganier, Julien" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, March 03, 2010 7:20 PM
Subject: [btns] FW: request for help in developing a tool that may be helpful to
WG chairs
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of Scott O. Bradner
> Sent: Wednesday, March 03, 2010 7:36 AM
> To: [email-masked]
> Subject: request for help in developing a tool that may be helpful to WG
chairs
>
> IETF working group chairs;
>
> We are developing an open-source tool for monitoring the status and
> progress of conflicts in on-line working groups (WG).  The tool works by
> analyzing the WG mailing list.  When developed, this tool should be
> helpful to WG chairs trying to understand the status of WG discussions
> (how close to consensus is the WG, what is the distribution of
> participation, etc).
>
> As part of the development process we have been using a prototype tool
> to analyze IETF WG mailing list archives to determine the amount of
> conflict and how effective this conflict is being (has been) resolved.
> As the first step, we need to understand the relationship between the
> conflicts in a working group and the structure of the communication
> network in that group. While having conflicts is not necessarily a bad
> thing for a working group effort, some conflicts can escalate into
> disasters. We are interested in finding the communication patterns
> related to the evolution of group conflicts. Results from this study
> will provide the base for the development of the tool that helps working
> group chairs to decide when to intervene with an internal conflict
> before it becomes irreversibly negative as well as being a tool that may
> help determine where there is consensus on a particular topic.
>
> We would like your help in understanding the level of conflicts within
> your working groups and how the conflicts affect productivity and group
> membersâ€™ perception on the working group. It will be greatly appreciated
> if you could ask your WG members to anonymously fill a short survey at
>
>
https://spreadsheets.google.com/viewform?hl=en&formkey=dExTbEU5QmRncnhFbjhQUVR4b
zBGMEE6MA

I received this e-mail on another list and thought that some might see a use for
it in relation to the TCPM WG.

I am assured by WG Chairs that the intention is for all lists to get it and
respond
to it.  I have only seen it elsewhere and assume that, since I use the same mail
address for several lists, the IETF Mail system is suppressing "duplicate"
e-mails.

Like all surveys, the more representative it is of differing views, the more
useful it is so I encourage the other 404 of you to participate.

I have filled it in but have not found it easy; its model of a WG's work is
different to mine.  It wants to know about the first task of a WG, what it is -
process related, protocol development etc -, when it started, when it finished,
how many intermediate documents there were, how many documents it produced
before going to how many people were involved, inside and outside of the IETF,
whether they were good to work with, whether or not you would want to work with
them again and so on.  I turned back to the TCPM charter from February 2004 to
reassure myself that some of what it asks does not make sense.

There appears to be no background information or guidance apart from the e-mail
I forward, nor any way to add comments to the effect that this question is dumb.

Knowing that you regard the TCPM list as sweetness and light is as valuable as
knowing that you do not so I would encourage you to fill it in.

Tom Petch
(an assiduous follower of but only an occasional contributor to this list)

> Best Regards,
>
> Bin Zhu, Mark Gaynor, Scott Bradner, and Jialun Qin
>